Bug 1765314 - libseccomp failing due to lack of io_uring_* syscall definitions
Summary: libseccomp failing due to lack of io_uring_* syscall definitions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libseccomp
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-24 19:28 UTC by Chris Evich
Modified: 2020-01-04 22:14 UTC (History)
5 users (show)

Fixed In Version: libseccomp-2.4.2-1.fc31 libseccomp-2.4.2-2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-23 01:31:01 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github seccomp libseccomp issues 177 'None' closed RFE: new release? 2020-08-26 10:34:23 UTC

Description Chris Evich 2019-10-24 19:28:21 UTC
Description of problem:

Docker default seccomp profile changed to include io_uring_* syscalls.  This is also affecting upstream podman development.

Version-Release number of selected component (if applicable):

All supported Fedora releases (29, 30 currently)

Comment 1 Chris Evich 2019-10-24 19:30:21 UTC
https://github.com/seccomp/libseccomp/issues/177

Comment 2 Daniel Walsh 2019-10-28 21:08:40 UTC
I have asked upstream to cut a new version, but should we just add the upstream patch to the spec file, to get this moving along?

Comment 3 Neal Gompa 2019-10-30 00:30:00 UTC
We could, I suppose...?

This is the commit, right? https://github.com/seccomp/libseccomp/commit/5fc22428507ecea00ee9e2215d972777da9a99b6

Is there anything else I need to backport?

Upstream did also say they're looking to release in the coming weeks...

Comment 4 Neal Gompa 2019-10-30 00:31:20 UTC
Actually, I guess this is the commit: https://github.com/seccomp/libseccomp/commit/44113f3043f66cbd76ffbd2bd3f9a391c365ccf5

Comment 5 Fedora Update System 2019-11-20 22:33:37 UTC
FEDORA-2019-bdf85066b7 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-bdf85066b7

Comment 6 Fedora Update System 2019-11-21 02:27:32 UTC
libseccomp-2.4.2-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-bdf85066b7

Comment 7 Fedora Update System 2019-11-23 01:31:01 UTC
libseccomp-2.4.2-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Dr. David Alan Gilbert 2019-11-28 15:30:06 UTC
Note 2.4.2 is hitting:
   https://github.com/seccomp/libseccomp/pull/186 missing __SNR_ppoll.
(Breaks virtiofsd build)

Comment 9 Fedora Update System 2019-12-17 02:59:01 UTC
FEDORA-2019-e531f61d41 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e531f61d41

Comment 10 Fedora Update System 2019-12-18 02:08:40 UTC
libseccomp-2.4.2-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e531f61d41

Comment 11 Fedora Update System 2020-01-04 22:14:52 UTC
libseccomp-2.4.2-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.